Imports VSProTimer

Public Class Form1
    Private sw As New Stopwatch
    Private Running As Boolean
    Private mInterval As Integer = 100
    Private mFrequency As Integer = sw.Frequency / 1000
    Private WithEvents Protimer As New VSProTimer.Timer

    Private Sub BtStart_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BtStart.Click
        sw.Reset()
        If Running Then
            Running = False
            BtStart.Text = "Start"
            Timer1.Enabled = False
            Protimer.StopTimer()
        Else
            Running = True
            BtStart.Text = "Stop"
            If RbStandard.Checked Then
                Timer1.Interval = mInterval
                Timer1.Enabled = True
            Else
                Protimer.Interval = mInterval
                Protimer.StartTimer()
            End If
            sw.Start()
        End If
    End Sub

    Private Sub Timer1_Tick(ByVal sender As Object, ByVal e As System.EventArgs) Handles Timer1.Tick
        Results.Text = Format(Math.Round((sw.ElapsedTicks / mFrequency) / 1000, 4), "000000.0000")
    End Sub

    Private Sub RbStandard_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RbStandard.CheckedChanged, RbProtimer.CheckedChanged
        Timer1.Enabled = False
        Protimer.StopTimer()
        Running = False
        BtStart.Text = "Start"
    End Sub

    Private Sub RadioButton1_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadioButton1.CheckedChanged
        mInterval = 1000
    End Sub

    Private Sub RadioButton2_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadioButton2.CheckedChanged
        mInterval = 100
    End Sub

    Private Sub RadioButton3_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RadioButton3.CheckedChanged
        mInterval = 10
    End Sub

    Private Sub Protimer_Tick(ByVal Result As VSProTimer.Timer.Status) Handles Protimer.Tick
        Results.Text = Format(Math.Round((sw.ElapsedTicks / mFrequency) / 1000, 4), "000000.0000")
    End Sub

    Private Sub Form1_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Protimer.License = "Enter license here"
    End Sub
End Class
